## org.h2.dev.util
Class ArrayUtils

    java.lang.Object
      org.h2.dev.util.ArrayUtils

    public class ArrayUtils

extends java.lang.Object

Array utility methods.

Constructor Summary
`ArrayUtils()`

Method Summary

`static

`<T> void`

`

`binaryInsertionSort(T[] d, int left, int right, java.util.Comparator<T> comp)`
Sort an array using binary insertion sort

`static

`<T> void`

`

`insertionSort(T[] d, int left, int right, java.util.Comparator<T> comp)`
Sort an array using insertion sort

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArrayUtils

    public ArrayUtils()

Method Detail

### binaryInsertionSort

    public static <T> void binaryInsertionSort(T[] d,
                                               int left,
                                               int right,
                                               java.util.Comparator<T> comp)

  Sort an array using binary insertion sort

  Type Parameters:
    `T` - the type
  Parameters:
    `d` - the data
    `left` - the index of the leftmost element
    `right` - the index of the rightmost element
    `comp` - the comparison class

### insertionSort

    public static <T> void insertionSort(T[] d,
                                         int left,
                                         int right,
                                         java.util.Comparator<T> comp)

  Sort an array using insertion sort

  Type Parameters:
    `T` - the type
  Parameters:
    `d` - the data
    `left` - the index of the leftmost element
    `right` - the index of the rightmost element
    `comp` - the comparison class